set SDKROOT=%~sdp0%
set SDKTARGETSYSROOT=%SDKROOT%\sysroots\aarch64-xilinx-linux
set PATH=%SDKROOT%\sysroots\x86_64-petalinux-mingw32\usr\bin;%SDKROOT%\sysroots\x86_64-petalinux-mingw32\usr\bin\..\x86_64-petalinux-mingw32\bin;%SDKROOT%\sysroots\x86_64-petalinux-mingw32\usr\bin\aarch64-xilinx-linux;%SDKROOT%\sysroots\x86_64-petalinux-mingw32\usr\bin\aarch64-xilinx-linux-musl;%PATH%
set PKG_CONFIG_SYSROOT_DIR=%SDKTARGETSYSROOT%
set PKG_CONFIG_PATH=%SDKTARGETSYSROOT%\usr\lib\pkgconfig
set CONFIG_SITE=%SDKROOT%\site-config-aarch64-xilinx-linux
set OECORE_NATIVE_SYSROOT=%SDKROOT%\sysroots\x86_64-petalinux-mingw32
set OECORE_TARGET_SYSROOT=%SDKTARGETSYSROOT%
set OECORE_ACLOCAL_OPTS=-I %SDKROOT%\sysroots\x86_64-petalinux-mingw32\usr\share\aclocal
set OECORE_BASELIB=lib
set OECORE_TARGET_ARCH=aarch64
set OECORE_TARGET_OS=linux
set CC=aarch64-xilinx-linux-gcc  -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 --sysroot=%SDKTARGETSYSROOT%
set CXX=aarch64-xilinx-linux-g++  -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 --sysroot=%SDKTARGETSYSROOT%
set CPP=aarch64-xilinx-linux-gcc -E  -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 --sysroot=%SDKTARGETSYSROOT%
set AS=aarch64-xilinx-linux-as 
set LD=aarch64-xilinx-linux-ld  --sysroot=%SDKTARGETSYSROOT%
set GDB=aarch64-xilinx-linux-gdb
set STRIP=aarch64-xilinx-linux-strip
set RANLIB=aarch64-xilinx-linux-ranlib
set OBJCOPY=aarch64-xilinx-linux-objcopy
set OBJDUMP=aarch64-xilinx-linux-objdump
set AR=aarch64-xilinx-linux-ar
set NM=aarch64-xilinx-linux-nm
set M4=m4
set TARGET_PREFIX=aarch64-xilinx-linux-
set CONFIGURE_FLAGS=--target=aarch64-xilinx-linux --host=aarch64-xilinx-linux --build=x86_64-linux --with-libtool-sysroot=%SDKTARGETSYSROOT%
set CFLAGS= -O2 -pipe -g -feliminate-unused-debug-types 
set CXXFLAGS= -O2 -pipe -g -feliminate-unused-debug-types 
set LDFLAGS=-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed
set CPPFLAGS=
set KCFLAGS=--sysroot=%SDKTARGETSYSROOT%
set OECORE_DISTRO_VERSION=2020.2.2
set OECORE_SDK_VERSION=2020.2.2
set ARCH=arm64
set CROSS_COMPILE=aarch64-xilinx-linux-

@REM Append environment subscripts

@IF EXIST %OECORE_TARGET_SYSROOT%\environment-setup.d (
   FOR %%x IN (%OECORE_TARGET_SYSROOT%\environment-setup.d\*.bat) DO call "%%x"
)

@IF EXIST %OECORE_NATIVE_SYSROOT%\environment-setup.d (
   FOR %%x IN (%OECORE_NATIVE_SYSROOT%\environment-setup.d\*.bat) DO call "%%x"
)
@%COMSPEC% /C exit 0 > NUL
